Skip to main content
POST
/
transactions
/
{transactionId}
/
approve
Approve incoming transaction.
curl --request POST \
  --url https://{publicHost}/transactions/{transactionId}/approve \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "receiverCustomerInfo": {
    "FULL_NAME": "Receiver Demo"
  }
}
'
{
  "transactionId": "txn_incoming_approve_001",
  "type": "INCOMING",
  "status": "COMPLETED",
  "customerId": "00000000-0000-4000-8000-000000000001",
  "platformCustomerId": "partner_cust_001",
  "createdAt": "2026-04-05T12:00:00Z",
  "updatedAt": "2026-04-05T12:02:00Z",
  "settledAt": "2026-04-05T12:02:00Z",
  "source": {
    "accountId": "InternalAccount:sender_sgd_001",
    "sourceType": "INTERNAL_ACCOUNT"
  },
  "destination": {
    "destinationType": "PPV_ADDRESS",
    "ppvAddress": "receiver@demo.blips.test"
  },
  "receivedAmount": {
    "currencyCode": "SGD",
    "amountMinor": "5000"
  }
}

Authorizations

Authorization
string
header
required

Integration-key Basic Auth (clientId:clientSecret) as documented in docs/public/AUTHENTICATION.md.

Path Parameters

transactionId
string
required

Canonical public transaction identifier for transaction-family readback and actions.

Body

application/json

Provide receiverCustomerInfo only when the pending incoming transaction explicitly requested additional receiver fields during review.

Receiver-review approval payload for a pending incoming transaction.

receiverCustomerInfo
object

Receiver/customer fields provided to satisfy the current review requirements when additional information is requested.

Response

Incoming transaction approved.

Bounded public incoming-review approval result. The response is transaction-first and intentionally smaller than full transaction detail.

transactionId
string
required

Canonical public transaction identifier for the approved incoming transaction.

type
enum<string>
required

Direction of this approved transaction.

Available options:
INCOMING
status
enum<string>
required

Current transaction lifecycle status after the approval decision was recorded.

Available options:
CREATED,
PENDING,
PROCESSING,
COMPLETED,
REJECTED,
FAILED,
REFUNDED,
EXPIRED
customerId
string | null
required

System-generated BLIPS customer identifier associated with this incoming transaction when available.

platformCustomerId
string | null
required

Platform-side customer identifier associated with this incoming transaction when available.

createdAt
string<date-time>
required

Transaction creation timestamp.

updatedAt
string<date-time>
required

Last update timestamp after the approval decision was recorded.

settledAt
string<date-time> | null
required

Settlement timestamp when the approved incoming transaction has completed settlement.

source
object
required

Bounded source detail for the approved incoming transaction.

destination
object
required

Bounded destination detail for the approved incoming transaction.

receivedAmount
object
required

Main received amount for the approved incoming transaction.